package com.muyu.data.mart.domain.juhe;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.data.mart.domain.juhe
 * @Project：cloud-port
 * @name：JuHeResult
 * @Date：2024/9/6 10:31
 * 聚合返回结果集
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class JuHeResult<T> {
    private String reason;
    private T result;
    @JSONField(name = "error_code")
    public Integer errorCode;
}
