package com.muyu.cloud.mart.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.IdCard;
import com.muyu.domain.IpPlace;
import com.muyu.domain.Market;
import com.muyu.domain.PhonePlace;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.cloud.etl.mapper
 * @Project：cloud-mart
 * @name：MarketMapper
 * @Date：2024/8/21 21:54
 */
@Mapper
public interface MarketMapper extends BaseMapper<Market> {

    Integer addPhonePlace(PhonePlace phonePlace);

    void addIpPlace(IpPlace ipPlace);

    void addIdCard(IdCard idCard1)  ;
}
