package com.muyu.data.mart.domain.realname;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.data.mart.domain.req
 * @Project：cloud-port
 * @name：RealNameReq
 * @Date：2024/9/5 22:15
 * 实名认证请求
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RealNameReq {
    /**
     * 姓名
     */
    private String name;
    /**
     * 身份证
     */
    private String idCard;
}
